Skip to main content
POST
/
api
/
workspaces
/
{id}
/
snapshots
Create a snapshot of a workspace.
curl --request POST \
  --url https://api.rigbox.dev/api/workspaces/{id}/snapshots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "snapshot": {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "size_mb": 123,
    "workspace_id": "<string>"
  }
}
The workspace must be stopped before creating a snapshot.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workspace ID

Body

application/json
name
string | null

Response

201 - application/json

Snapshot created

snapshot
object
required

Read-only projection of a workspace snapshot.